summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xsyncrepo.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/syncrepo.sh b/syncrepo.sh
index 604c00c..4ff6309 100755
--- a/syncrepo.sh
+++ b/syncrepo.sh
@@ -60,7 +60,7 @@ rsync_cmd() {
# if we are called without a tty (cronjob) only run when there are changes
-if ! tty -s && [[ -f "$target/lastupdate" ]] && diff -b <(curl -s "$lastupdate_url") "$target/lastupdate" >/dev/null; then
+if ! tty -s && [[ -f "$target/lastupdate" ]] && diff -b <(curl -Ls "$lastupdate_url") "$target/lastupdate" >/dev/null; then
# keep lastsync file in sync for statistics generated by the Arch Linux website
rsync_cmd "$source_url/lastsync" "$target/lastsync"
exit 0